import { p as publicAssetsURL } from '../../handlers/renderer.mjs';
import { defineComponent, useSSRContext, mergeProps, withCtx, createTextVNode, openBlock, createBlock, createVNode } from 'vue';
import { ssrRenderComponent, ssrRenderSlot, ssrRenderAttrs, ssrGetDirectiveProps, ssrRenderStyle, ssrRenderAttr, ssrInterpolate } from 'vue/server-renderer';
import { _ as _export_sfc } from '../server.mjs';
import { l as VBtn, R as Ripple } from './transition-138dedc4.mjs';
import { V as VMenu, a as VList, b as VListItem, c as VListItemTitle } from './VMenu-55c6dba5.mjs';
import 'vue-bundle-renderer/runtime';
import '../../nitro/node-server.mjs';
import 'node:http';
import 'node:https';
import 'node:zlib';
import 'node:stream';
import 'node:buffer';
import 'node:util';
import 'node:url';
import 'node:net';
import 'node:fs';
import 'node:path';
import 'fs';
import 'path';
import 'devalue';
import '@unhead/ssr';
import 'unhead';
import '@unhead/shared';
import 'vue-router';
import './ssrBoot-d663a1e1.mjs';
import './index-ebf72bae.mjs';

const _sfc_main$2 = defineComponent({
  name: "vbanner",
  props: {
    selectedPage: {
      type: Number,
      default: 0
      //1-4 - 0 is none
    }
  }
});
const _imports_0 = "" + publicAssetsURL("JumpingSlime.gif");
function _sfc_ssrRender$2(_ctx, _push, _parent, _attrs, $props, $setup, $data, $options) {
  _push(`<div${ssrRenderAttrs(mergeProps({ class: "banner" }, _attrs))} data-v-053ce776><div class="banner-navbar" data-v-053ce776><h1 data-v-053ce776>Bossslime.com</h1><div class="banner-navbar-buttons" data-v-053ce776>`);
  _push(ssrRenderComponent(VBtn, {
    class: _ctx.selectedPage === 1 ? "banner-navbar-button-selected" : "banner-navbar-button",
    href: "/",
    theme: "dark"
  }, {
    default: withCtx((_, _push2, _parent2, _scopeId) => {
      if (_push2) {
        _push2(`Home`);
      } else {
        return [
          createTextVNode("Home")
        ];
      }
    }),
    _: 1
  }, _parent));
  _push(ssrRenderComponent(VBtn, {
    class: _ctx.selectedPage === 2 ? "banner-navbar-button-selected" : "banner-navbar-button",
    href: "/content",
    theme: "dark"
  }, {
    default: withCtx((_, _push2, _parent2, _scopeId) => {
      if (_push2) {
        _push2(`Content`);
      } else {
        return [
          createTextVNode("Content")
        ];
      }
    }),
    _: 1
  }, _parent));
  _push(ssrRenderComponent(VBtn, {
    class: _ctx.selectedPage === 3 ? "banner-navbar-button-selected" : "banner-navbar-button",
    href: "/links",
    theme: "dark"
  }, {
    default: withCtx((_, _push2, _parent2, _scopeId) => {
      if (_push2) {
        _push2(`Links`);
      } else {
        return [
          createTextVNode("Links")
        ];
      }
    }),
    _: 1
  }, _parent));
  _push(ssrRenderComponent(VBtn, {
    class: _ctx.selectedPage === 4 ? "banner-navbar-button-selected" : "banner-navbar-button",
    href: "/contact",
    theme: "dark"
  }, {
    default: withCtx((_, _push2, _parent2, _scopeId) => {
      if (_push2) {
        _push2(`Contact`);
      } else {
        return [
          createTextVNode("Contact")
        ];
      }
    }),
    _: 1
  }, _parent));
  _push(`</div>`);
  _push(ssrRenderComponent(VMenu, null, {
    activator: withCtx(({ props }, _push2, _parent2, _scopeId) => {
      if (_push2) {
        _push2(ssrRenderComponent(VBtn, mergeProps({
          class: "banner-navbar-dropdown-button",
          icon: "",
          size: "small"
        }, props), {
          default: withCtx((_, _push3, _parent3, _scopeId2) => {
            if (_push3) {
              _push3(`<svg xmlns="http://www.w3.org/2000/svg" fill="white" height="1em" viewBox="0 0 448 512" data-v-053ce776${_scopeId2}><path d="M0 96C0 78.3 14.3 64 32 64H416c17.7 0 32 14.3 32 32s-14.3 32-32 32H32C14.3 128 0 113.7 0 96zM0 256c0-17.7 14.3-32 32-32H416c17.7 0 32 14.3 32 32s-14.3 32-32 32H32c-17.7 0-32-14.3-32-32zM448 416c0 17.7-14.3 32-32 32H32c-17.7 0-32-14.3-32-32s14.3-32 32-32H416c17.7 0 32 14.3 32 32z" data-v-053ce776${_scopeId2}></path></svg>`);
            } else {
              return [
                (openBlock(), createBlock("svg", {
                  xmlns: "http://www.w3.org/2000/svg",
                  fill: "white",
                  height: "1em",
                  viewBox: "0 0 448 512"
                }, [
                  createVNode("path", { d: "M0 96C0 78.3 14.3 64 32 64H416c17.7 0 32 14.3 32 32s-14.3 32-32 32H32C14.3 128 0 113.7 0 96zM0 256c0-17.7 14.3-32 32-32H416c17.7 0 32 14.3 32 32s-14.3 32-32 32H32c-17.7 0-32-14.3-32-32zM448 416c0 17.7-14.3 32-32 32H32c-17.7 0-32-14.3-32-32s14.3-32 32-32H416c17.7 0 32 14.3 32 32z" })
                ]))
              ];
            }
          }),
          _: 2
        }, _parent2, _scopeId));
      } else {
        return [
          createVNode(VBtn, mergeProps({
            class: "banner-navbar-dropdown-button",
            icon: "",
            size: "small"
          }, props), {
            default: withCtx(() => [
              (openBlock(), createBlock("svg", {
                xmlns: "http://www.w3.org/2000/svg",
                fill: "white",
                height: "1em",
                viewBox: "0 0 448 512"
              }, [
                createVNode("path", { d: "M0 96C0 78.3 14.3 64 32 64H416c17.7 0 32 14.3 32 32s-14.3 32-32 32H32C14.3 128 0 113.7 0 96zM0 256c0-17.7 14.3-32 32-32H416c17.7 0 32 14.3 32 32s-14.3 32-32 32H32c-17.7 0-32-14.3-32-32zM448 416c0 17.7-14.3 32-32 32H32c-17.7 0-32-14.3-32-32s14.3-32 32-32H416c17.7 0 32 14.3 32 32z" })
              ]))
            ]),
            _: 2
          }, 1040)
        ];
      }
    }),
    default: withCtx((_, _push2, _parent2, _scopeId) => {
      if (_push2) {
        _push2(ssrRenderComponent(VList, { theme: "dark" }, {
          default: withCtx((_2, _push3, _parent3, _scopeId2) => {
            if (_push3) {
              _push3(ssrRenderComponent(VListItem, {
                class: _ctx.selectedPage === 1 ? "banner-navbar-button-selected" : "banner-navbar-button",
                href: "/",
                key: 1
              }, {
                default: withCtx((_3, _push4, _parent4, _scopeId3) => {
                  if (_push4) {
                    _push4(ssrRenderComponent(VListItemTitle, null, {
                      default: withCtx((_4, _push5, _parent5, _scopeId4) => {
                        if (_push5) {
                          _push5(`Home`);
                        } else {
                          return [
                            createTextVNode("Home")
                          ];
                        }
                      }),
                      _: 1
                    }, _parent4, _scopeId3));
                  } else {
                    return [
                      createVNode(VListItemTitle, null, {
                        default: withCtx(() => [
                          createTextVNode("Home")
                        ]),
                        _: 1
                      })
                    ];
                  }
                }),
                _: 1
              }, _parent3, _scopeId2));
              _push3(ssrRenderComponent(VListItem, {
                class: _ctx.selectedPage === 2 ? "banner-navbar-button-selected" : "banner-navbar-button",
                href: "/content",
                key: 2
              }, {
                default: withCtx((_3, _push4, _parent4, _scopeId3) => {
                  if (_push4) {
                    _push4(ssrRenderComponent(VListItemTitle, null, {
                      default: withCtx((_4, _push5, _parent5, _scopeId4) => {
                        if (_push5) {
                          _push5(`Content`);
                        } else {
                          return [
                            createTextVNode("Content")
                          ];
                        }
                      }),
                      _: 1
                    }, _parent4, _scopeId3));
                  } else {
                    return [
                      createVNode(VListItemTitle, null, {
                        default: withCtx(() => [
                          createTextVNode("Content")
                        ]),
                        _: 1
                      })
                    ];
                  }
                }),
                _: 1
              }, _parent3, _scopeId2));
              _push3(ssrRenderComponent(VListItem, {
                class: _ctx.selectedPage === 3 ? "banner-navbar-button-selected" : "banner-navbar-button",
                href: "/links",
                key: 3
              }, {
                default: withCtx((_3, _push4, _parent4, _scopeId3) => {
                  if (_push4) {
                    _push4(ssrRenderComponent(VListItemTitle, null, {
                      default: withCtx((_4, _push5, _parent5, _scopeId4) => {
                        if (_push5) {
                          _push5(`Links`);
                        } else {
                          return [
                            createTextVNode("Links")
                          ];
                        }
                      }),
                      _: 1
                    }, _parent4, _scopeId3));
                  } else {
                    return [
                      createVNode(VListItemTitle, null, {
                        default: withCtx(() => [
                          createTextVNode("Links")
                        ]),
                        _: 1
                      })
                    ];
                  }
                }),
                _: 1
              }, _parent3, _scopeId2));
              _push3(ssrRenderComponent(VListItem, {
                class: _ctx.selectedPage === 4 ? "banner-navbar-button-selected" : "banner-navbar-button",
                href: "/contact",
                key: 4
              }, {
                default: withCtx((_3, _push4, _parent4, _scopeId3) => {
                  if (_push4) {
                    _push4(ssrRenderComponent(VListItemTitle, null, {
                      default: withCtx((_4, _push5, _parent5, _scopeId4) => {
                        if (_push5) {
                          _push5(`Contact`);
                        } else {
                          return [
                            createTextVNode("Contact")
                          ];
                        }
                      }),
                      _: 1
                    }, _parent4, _scopeId3));
                  } else {
                    return [
                      createVNode(VListItemTitle, null, {
                        default: withCtx(() => [
                          createTextVNode("Contact")
                        ]),
                        _: 1
                      })
                    ];
                  }
                }),
                _: 1
              }, _parent3, _scopeId2));
            } else {
              return [
                (openBlock(), createBlock(VListItem, {
                  class: _ctx.selectedPage === 1 ? "banner-navbar-button-selected" : "banner-navbar-button",
                  href: "/",
                  key: 1
                }, {
                  default: withCtx(() => [
                    createVNode(VListItemTitle, null, {
                      default: withCtx(() => [
                        createTextVNode("Home")
                      ]),
                      _: 1
                    })
                  ]),
                  _: 1
                }, 8, ["class"])),
                (openBlock(), createBlock(VListItem, {
                  class: _ctx.selectedPage === 2 ? "banner-navbar-button-selected" : "banner-navbar-button",
                  href: "/content",
                  key: 2
                }, {
                  default: withCtx(() => [
                    createVNode(VListItemTitle, null, {
                      default: withCtx(() => [
                        createTextVNode("Content")
                      ]),
                      _: 1
                    })
                  ]),
                  _: 1
                }, 8, ["class"])),
                (openBlock(), createBlock(VListItem, {
                  class: _ctx.selectedPage === 3 ? "banner-navbar-button-selected" : "banner-navbar-button",
                  href: "/links",
                  key: 3
                }, {
                  default: withCtx(() => [
                    createVNode(VListItemTitle, null, {
                      default: withCtx(() => [
                        createTextVNode("Links")
                      ]),
                      _: 1
                    })
                  ]),
                  _: 1
                }, 8, ["class"])),
                (openBlock(), createBlock(VListItem, {
                  class: _ctx.selectedPage === 4 ? "banner-navbar-button-selected" : "banner-navbar-button",
                  href: "/contact",
                  key: 4
                }, {
                  default: withCtx(() => [
                    createVNode(VListItemTitle, null, {
                      default: withCtx(() => [
                        createTextVNode("Contact")
                      ]),
                      _: 1
                    })
                  ]),
                  _: 1
                }, 8, ["class"]))
              ];
            }
          }),
          _: 1
        }, _parent2, _scopeId));
      } else {
        return [
          createVNode(VList, { theme: "dark" }, {
            default: withCtx(() => [
              (openBlock(), createBlock(VListItem, {
                class: _ctx.selectedPage === 1 ? "banner-navbar-button-selected" : "banner-navbar-button",
                href: "/",
                key: 1
              }, {
                default: withCtx(() => [
                  createVNode(VListItemTitle, null, {
                    default: withCtx(() => [
                      createTextVNode("Home")
                    ]),
                    _: 1
                  })
                ]),
                _: 1
              }, 8, ["class"])),
              (openBlock(), createBlock(VListItem, {
                class: _ctx.selectedPage === 2 ? "banner-navbar-button-selected" : "banner-navbar-button",
                href: "/content",
                key: 2
              }, {
                default: withCtx(() => [
                  createVNode(VListItemTitle, null, {
                    default: withCtx(() => [
                      createTextVNode("Content")
                    ]),
                    _: 1
                  })
                ]),
                _: 1
              }, 8, ["class"])),
              (openBlock(), createBlock(VListItem, {
                class: _ctx.selectedPage === 3 ? "banner-navbar-button-selected" : "banner-navbar-button",
                href: "/links",
                key: 3
              }, {
                default: withCtx(() => [
                  createVNode(VListItemTitle, null, {
                    default: withCtx(() => [
                      createTextVNode("Links")
                    ]),
                    _: 1
                  })
                ]),
                _: 1
              }, 8, ["class"])),
              (openBlock(), createBlock(VListItem, {
                class: _ctx.selectedPage === 4 ? "banner-navbar-button-selected" : "banner-navbar-button",
                href: "/contact",
                key: 4
              }, {
                default: withCtx(() => [
                  createVNode(VListItemTitle, null, {
                    default: withCtx(() => [
                      createTextVNode("Contact")
                    ]),
                    _: 1
                  })
                ]),
                _: 1
              }, 8, ["class"]))
            ]),
            _: 1
          })
        ];
      }
    }),
    _: 1
  }, _parent));
  _push(`</div><div class="banner-body" data-v-053ce776><div class="banner-object" data-v-053ce776><h1 class="banner-object-title" data-v-053ce776>Bossslime</h1><p class="banner-object-description" data-v-053ce776>Hi, I am Slime</p><div class="banner-object-social-buttons" data-v-053ce776><a href="https://github.com/bossslime" target="_blank" data-v-053ce776><div${ssrRenderAttrs(mergeProps({ class: "banner-object-social-button" }, ssrGetDirectiveProps(_ctx, Ripple)))} data-v-053ce776><svg xmlns="http://www.w3.org/2000/svg" fill="white" height="1em" viewBox="0 0 496 512" data-v-053ce776><path d="M165.9 397.4c0 2-2.3 3.6-5.2 3.6-3.3.3-5.6-1.3-5.6-3.6 0-2 2.3-3.6 5.2-3.6 3-.3 5.6 1.3 5.6 3.6zm-31.1-4.5c-.7 2 1.3 4.3 4.3 4.9 2.6 1 5.6 0 6.2-2s-1.3-4.3-4.3-5.2c-2.6-.7-5.5.3-6.2 2.3zm44.2-1.7c-2.9.7-4.9 2.6-4.6 4.9.3 2 2.9 3.3 5.9 2.6 2.9-.7 4.9-2.6 4.6-4.6-.3-1.9-3-3.2-5.9-2.9zM244.8 8C106.1 8 0 113.3 0 252c0 110.9 69.8 205.8 169.5 239.2 12.8 2.3 17.3-5.6 17.3-12.1 0-6.2-.3-40.4-.3-61.4 0 0-70 15-84.7-29.8 0 0-11.4-29.1-27.8-36.6 0 0-22.9-15.7 1.6-15.4 0 0 24.9 2 38.6 25.8 21.9 38.6 58.6 27.5 72.9 20.9 2.3-16 8.8-27.1 16-33.7-55.9-6.2-112.3-14.3-112.3-110.5 0-27.5 7.6-41.3 23.6-58.9-2.6-6.5-11.1-33.3 2.6-67.9 20.9-6.5 69 27 69 27 20-5.6 41.5-8.5 62.8-8.5s42.8 2.9 62.8 8.5c0 0 48.1-33.6 69-27 13.7 34.7 5.2 61.4 2.6 67.9 16 17.7 25.8 31.5 25.8 58.9 0 96.5-58.9 104.2-114.8 110.5 9.2 7.9 17 22.9 17 46.4 0 33.7-.3 75.4-.3 83.6 0 6.5 4.6 14.4 17.3 12.1C428.2 457.8 496 362.9 496 252 496 113.3 383.5 8 244.8 8zM97.2 352.9c-1.3 1-1 3.3.7 5.2 1.6 1.6 3.9 2.3 5.2 1 1.3-1 1-3.3-.7-5.2-1.6-1.6-3.9-2.3-5.2-1zm-10.8-8.1c-.7 1.3.3 2.9 2.3 3.9 1.6 1 3.6.7 4.3-.7.7-1.3-.3-2.9-2.3-3.9-2-.6-3.6-.3-4.3.7zm32.4 35.6c-1.6 1.3-1 4.3 1.3 6.2 2.3 2.3 5.2 2.6 6.5 1 1.3-1.3.7-4.3-1.3-6.2-2.2-2.3-5.2-2.6-6.5-1zm-11.4-14.7c-1.6 1-1.6 3.6 0 5.9 1.6 2.3 4.3 3.3 5.6 2.3 1.6-1.3 1.6-3.9 0-6.2-1.4-2.3-4-3.3-5.6-2z" data-v-053ce776></path></svg></div></a><a href="https://www.youtube.com/@Bossslime" target="_blank" data-v-053ce776><div${ssrRenderAttrs(mergeProps({ class: "banner-object-social-button" }, ssrGetDirectiveProps(_ctx, Ripple)))} data-v-053ce776><svg xmlns="http://www.w3.org/2000/svg" fill="white" height="1em" viewBox="0 0 576 512" data-v-053ce776><path d="M549.655 124.083c-6.281-23.65-24.787-42.276-48.284-48.597C458.781 64 288 64 288 64S117.22 64 74.629 75.486c-23.497 6.322-42.003 24.947-48.284 48.597-11.412 42.867-11.412 132.305-11.412 132.305s0 89.438 11.412 132.305c6.281 23.65 24.787 41.5 48.284 47.821C117.22 448 288 448 288 448s170.78 0 213.371-11.486c23.497-6.321 42.003-24.171 48.284-47.821 11.412-42.867 11.412-132.305 11.412-132.305s0-89.438-11.412-132.305zm-317.51 213.508V175.185l142.739 81.205-142.739 81.201z" data-v-053ce776></path></svg></div></a><a href="https://www.twitch.tv/bosssslime" target="_blank" data-v-053ce776><div${ssrRenderAttrs(mergeProps({ class: "banner-object-social-button" }, ssrGetDirectiveProps(_ctx, Ripple)))} data-v-053ce776><svg xmlns="http://www.w3.org/2000/svg" fill="white" height="1em" viewBox="0 0 512 512" data-v-053ce776><path d="M391.17,103.47H352.54v109.7h38.63ZM285,103H246.37V212.75H285ZM120.83,0,24.31,91.42V420.58H140.14V512l96.53-91.42h77.25L487.69,256V0ZM449.07,237.75l-77.22,73.12H294.61l-67.6,64v-64H140.14V36.58H449.07Z" data-v-053ce776></path></svg></div></a></div><div class="banner-object-social-buttons" data-v-053ce776><a href="https://x.com/bossslimeplayz" target="_blank" data-v-053ce776><div${ssrRenderAttrs(mergeProps({ class: "banner-object-social-button" }, ssrGetDirectiveProps(_ctx, Ripple)))} data-v-053ce776><svg xmlns="http://www.w3.org/2000/svg" fill="white" height="1em" viewBox="0 0 512 512" data-v-053ce776><path d="M389.2 48h70.6L305.6 224.2 487 464H345L233.7 318.6 106.5 464H35.8L200.7 275.5 26.8 48H172.4L272.9 180.9 389.2 48zM364.4 421.8h39.1L151.1 88h-42L364.4 421.8z" data-v-053ce776></path></svg></div></a><a href="https://www.linkedin.com/in/alexanderjonchristie/" target="_blank" data-v-053ce776><div${ssrRenderAttrs(mergeProps({ class: "banner-object-social-button" }, ssrGetDirectiveProps(_ctx, Ripple)))} data-v-053ce776><svg xmlns="http://www.w3.org/2000/svg" fill="white" height="1em" viewBox="0 0 448 512" data-v-053ce776><path d="M416 32H31.9C14.3 32 0 46.5 0 64.3v383.4C0 465.5 14.3 480 31.9 480H416c17.6 0 32-14.5 32-32.3V64.3c0-17.8-14.4-32.3-32-32.3zM135.4 416H69V202.2h66.5V416zm-33.2-243c-21.3 0-38.5-17.3-38.5-38.5S80.9 96 102.2 96c21.2 0 38.5 17.3 38.5 38.5 0 21.3-17.2 38.5-38.5 38.5zm282.1 243h-66.4V312c0-24.8-.5-56.7-34.5-56.7-34.6 0-39.9 27-39.9 54.9V416h-66.4V202.2h63.7v29.2h.9c8.9-16.8 30.6-34.5 62.9-34.5 67.2 0 79.7 44.3 79.7 101.9V416z" data-v-053ce776></path></svg></div></a></div><div class="banner-object-buttons" data-v-053ce776><a href="https://docs.bossslime.com" target="_blank" data-v-053ce776>`);
  _push(ssrRenderComponent(VBtn, {
    variant: "outlined",
    color: "info"
  }, {
    default: withCtx((_, _push2, _parent2, _scopeId) => {
      if (_push2) {
        _push2(` Docs <svg xmlns="http://www.w3.org/2000/svg" style="${ssrRenderStyle({ "margin-left": "5px" })}" fill="#1f86d8" height="1em" viewBox="0 0 512 512" data-v-053ce776${_scopeId}><path d="M352 0c-12.9 0-24.6 7.8-29.6 19.8s-2.2 25.7 6.9 34.9L370.7 96 201.4 265.4c-12.5 12.5-12.5 32.8 0 45.3s32.8 12.5 45.3 0L416 141.3l41.4 41.4c9.2 9.2 22.9 11.9 34.9 6.9s19.8-16.6 19.8-29.6V32c0-17.7-14.3-32-32-32H352zM80 32C35.8 32 0 67.8 0 112V432c0 44.2 35.8 80 80 80H400c44.2 0 80-35.8 80-80V320c0-17.7-14.3-32-32-32s-32 14.3-32 32V432c0 8.8-7.2 16-16 16H80c-8.8 0-16-7.2-16-16V112c0-8.8 7.2-16 16-16H192c17.7 0 32-14.3 32-32s-14.3-32-32-32H80z" data-v-053ce776${_scopeId}></path></svg>`);
      } else {
        return [
          createTextVNode(" Docs "),
          (openBlock(), createBlock("svg", {
            xmlns: "http://www.w3.org/2000/svg",
            style: { "margin-left": "5px" },
            fill: "#1f86d8",
            height: "1em",
            viewBox: "0 0 512 512"
          }, [
            createVNode("path", { d: "M352 0c-12.9 0-24.6 7.8-29.6 19.8s-2.2 25.7 6.9 34.9L370.7 96 201.4 265.4c-12.5 12.5-12.5 32.8 0 45.3s32.8 12.5 45.3 0L416 141.3l41.4 41.4c9.2 9.2 22.9 11.9 34.9 6.9s19.8-16.6 19.8-29.6V32c0-17.7-14.3-32-32-32H352zM80 32C35.8 32 0 67.8 0 112V432c0 44.2 35.8 80 80 80H400c44.2 0 80-35.8 80-80V320c0-17.7-14.3-32-32-32s-32 14.3-32 32V432c0 8.8-7.2 16-16 16H80c-8.8 0-16-7.2-16-16V112c0-8.8 7.2-16 16-16H192c17.7 0 32-14.3 32-32s-14.3-32-32-32H80z" })
          ]))
        ];
      }
    }),
    _: 1
  }, _parent));
  _push(`</a><a href="https://discord.bossslime.com" target="_blank" data-v-053ce776>`);
  _push(ssrRenderComponent(VBtn, {
    variant: "outlined",
    color: "info"
  }, {
    default: withCtx((_, _push2, _parent2, _scopeId) => {
      if (_push2) {
        _push2(` Discord <svg xmlns="http://www.w3.org/2000/svg" style="${ssrRenderStyle({ "margin-left": "5px" })}" fill="#1f86d8" height="1em" viewBox="0 0 512 512" data-v-053ce776${_scopeId}><path d="M352 0c-12.9 0-24.6 7.8-29.6 19.8s-2.2 25.7 6.9 34.9L370.7 96 201.4 265.4c-12.5 12.5-12.5 32.8 0 45.3s32.8 12.5 45.3 0L416 141.3l41.4 41.4c9.2 9.2 22.9 11.9 34.9 6.9s19.8-16.6 19.8-29.6V32c0-17.7-14.3-32-32-32H352zM80 32C35.8 32 0 67.8 0 112V432c0 44.2 35.8 80 80 80H400c44.2 0 80-35.8 80-80V320c0-17.7-14.3-32-32-32s-32 14.3-32 32V432c0 8.8-7.2 16-16 16H80c-8.8 0-16-7.2-16-16V112c0-8.8 7.2-16 16-16H192c17.7 0 32-14.3 32-32s-14.3-32-32-32H80z" data-v-053ce776${_scopeId}></path></svg>`);
      } else {
        return [
          createTextVNode(" Discord "),
          (openBlock(), createBlock("svg", {
            xmlns: "http://www.w3.org/2000/svg",
            style: { "margin-left": "5px" },
            fill: "#1f86d8",
            height: "1em",
            viewBox: "0 0 512 512"
          }, [
            createVNode("path", { d: "M352 0c-12.9 0-24.6 7.8-29.6 19.8s-2.2 25.7 6.9 34.9L370.7 96 201.4 265.4c-12.5 12.5-12.5 32.8 0 45.3s32.8 12.5 45.3 0L416 141.3l41.4 41.4c9.2 9.2 22.9 11.9 34.9 6.9s19.8-16.6 19.8-29.6V32c0-17.7-14.3-32-32-32H352zM80 32C35.8 32 0 67.8 0 112V432c0 44.2 35.8 80 80 80H400c44.2 0 80-35.8 80-80V320c0-17.7-14.3-32-32-32s-32 14.3-32 32V432c0 8.8-7.2 16-16 16H80c-8.8 0-16-7.2-16-16V112c0-8.8 7.2-16 16-16H192c17.7 0 32-14.3 32-32s-14.3-32-32-32H80z" })
          ]))
        ];
      }
    }),
    _: 1
  }, _parent));
  _push(`</a></div></div><div class="banner-object" data-v-053ce776><img${ssrRenderAttr("src", _imports_0)} data-v-053ce776></div></div><div class="scroll-button" data-v-053ce776><a href="#content" data-v-053ce776><span data-v-053ce776></span></a></div></div>`);
}
const _sfc_setup$2 = _sfc_main$2.setup;
_sfc_main$2.setup = (props, ctx) => {
  const ssrContext = useSSRContext();
  (ssrContext.modules || (ssrContext.modules = /* @__PURE__ */ new Set())).add("components/vbanner.vue");
  return _sfc_setup$2 ? _sfc_setup$2(props, ctx) : void 0;
};
const __nuxt_component_0 = /* @__PURE__ */ _export_sfc(_sfc_main$2, [["ssrRender", _sfc_ssrRender$2], ["__scopeId", "data-v-053ce776"]]);
const _sfc_main$1 = defineComponent({
  name: "vfooter",
  data() {
    return {
      currentYear: (/* @__PURE__ */ new Date()).getFullYear()
    };
  }
});
function _sfc_ssrRender$1(_ctx, _push, _parent, _attrs, $props, $setup, $data, $options) {
  _push(`<div${ssrRenderAttrs(mergeProps({ class: "footer-container" }, _attrs))} data-v-1de5f230> \xA9 Bossslime.com 2020-${ssrInterpolate(_ctx.currentYear)}</div>`);
}
const _sfc_setup$1 = _sfc_main$1.setup;
_sfc_main$1.setup = (props, ctx) => {
  const ssrContext = useSSRContext();
  (ssrContext.modules || (ssrContext.modules = /* @__PURE__ */ new Set())).add("components/vfooter.vue");
  return _sfc_setup$1 ? _sfc_setup$1(props, ctx) : void 0;
};
const __nuxt_component_1 = /* @__PURE__ */ _export_sfc(_sfc_main$1, [["ssrRender", _sfc_ssrRender$1], ["__scopeId", "data-v-1de5f230"]]);
const _sfc_main = defineComponent({
  name: "default",
  props: {
    selectedPage: {
      type: Number,
      default: 0
      //1-4 - 0 is none
    }
  }
});
function _sfc_ssrRender(_ctx, _push, _parent, _attrs, $props, $setup, $data, $options) {
  const _component_Vbanner = __nuxt_component_0;
  const _component_Vfooter = __nuxt_component_1;
  _push(`<!--[-->`);
  _push(ssrRenderComponent(_component_Vbanner, { selectedPage: _ctx.selectedPage }, null, _parent));
  _push(`<div class="body-container" data-v-48a228ef>`);
  ssrRenderSlot(_ctx.$slots, "default", {}, null, _push, _parent);
  _push(`</div>`);
  _push(ssrRenderComponent(_component_Vfooter, null, null, _parent));
  _push(`<!--]-->`);
}
const _sfc_setup = _sfc_main.setup;
_sfc_main.setup = (props, ctx) => {
  const ssrContext = useSSRContext();
  (ssrContext.modules || (ssrContext.modules = /* @__PURE__ */ new Set())).add("layouts/default.vue");
  return _sfc_setup ? _sfc_setup(props, ctx) : void 0;
};
const _default = /* @__PURE__ */ _export_sfc(_sfc_main, [["ssrRender", _sfc_ssrRender], ["__scopeId", "data-v-48a228ef"]]);

export { _default as default };
//# sourceMappingURL=default-b8147630.mjs.map
