import { p as publicAssetsURL } from '../../handlers/renderer.mjs';
import { A as useError, _ as _export_sfc } from '../server.mjs';
import { defineComponent, useSSRContext, mergeProps, withCtx, createTextVNode, openBlock, createBlock, createVNode } from 'vue';
import { ssrRenderAttrs, ssrRenderComponent, ssrRenderStyle, ssrInterpolate, ssrRenderAttr } from 'vue/server-renderer';
import { l as VBtn } from './transition-138dedc4.mjs';
import { V as VMenu, a as VList, b as VListItem, c as VListItemTitle } from './VMenu-55c6dba5.mjs';
import 'vue-bundle-renderer/runtime';
import '../../nitro/node-server.mjs';
import 'node:http';
import 'node:https';
import 'node:zlib';
import 'node:stream';
import 'node:buffer';
import 'node:util';
import 'node:url';
import 'node:net';
import 'node:fs';
import 'node:path';
import 'fs';
import 'path';
import 'devalue';
import '@unhead/ssr';
import 'unhead';
import '@unhead/shared';
import 'vue-router';
import './ssrBoot-d663a1e1.mjs';
import './index-ebf72bae.mjs';

const _sfc_main = defineComponent({
  name: "error",
  data() {
    return {
      selectedPage: 0
    };
  },
  computed: {
    getErrorType() {
      return useError().value.statusCode;
    },
    getErrorMessage() {
      return useError().value.message;
    }
  }
});
const _imports_0 = "" + publicAssetsURL("ErrorSlime.gif");
function _sfc_ssrRender(_ctx, _push, _parent, _attrs, $props, $setup, $data, $options) {
  _push(`<div${ssrRenderAttrs(mergeProps({ class: "banner" }, _attrs))} data-v-0ca922ea><div class="banner-navbar" data-v-0ca922ea><h1 data-v-0ca922ea>Bossslime.com</h1><div class="banner-navbar-buttons" data-v-0ca922ea>`);
  _push(ssrRenderComponent(VBtn, {
    class: _ctx.selectedPage === 1 ? "banner-navbar-button-selected" : "banner-navbar-button",
    href: "/",
    theme: "dark"
  }, {
    default: withCtx((_, _push2, _parent2, _scopeId) => {
      if (_push2) {
        _push2(`Home`);
      } else {
        return [
          createTextVNode("Home")
        ];
      }
    }),
    _: 1
  }, _parent));
  _push(ssrRenderComponent(VBtn, {
    class: _ctx.selectedPage === 2 ? "banner-navbar-button-selected" : "banner-navbar-button",
    href: "/content",
    theme: "dark"
  }, {
    default: withCtx((_, _push2, _parent2, _scopeId) => {
      if (_push2) {
        _push2(`Content`);
      } else {
        return [
          createTextVNode("Content")
        ];
      }
    }),
    _: 1
  }, _parent));
  _push(ssrRenderComponent(VBtn, {
    class: _ctx.selectedPage === 3 ? "banner-navbar-button-selected" : "banner-navbar-button",
    href: "/links",
    theme: "dark"
  }, {
    default: withCtx((_, _push2, _parent2, _scopeId) => {
      if (_push2) {
        _push2(`Links`);
      } else {
        return [
          createTextVNode("Links")
        ];
      }
    }),
    _: 1
  }, _parent));
  _push(ssrRenderComponent(VBtn, {
    class: _ctx.selectedPage === 4 ? "banner-navbar-button-selected" : "banner-navbar-button",
    href: "/contact",
    theme: "dark"
  }, {
    default: withCtx((_, _push2, _parent2, _scopeId) => {
      if (_push2) {
        _push2(`Contact`);
      } else {
        return [
          createTextVNode("Contact")
        ];
      }
    }),
    _: 1
  }, _parent));
  _push(`</div>`);
  _push(ssrRenderComponent(VMenu, null, {
    activator: withCtx(({ props }, _push2, _parent2, _scopeId) => {
      if (_push2) {
        _push2(ssrRenderComponent(VBtn, mergeProps({
          class: "banner-navbar-dropdown-button",
          icon: "",
          size: "small"
        }, props), {
          default: withCtx((_, _push3, _parent3, _scopeId2) => {
            if (_push3) {
              _push3(`<svg xmlns="http://www.w3.org/2000/svg" fill="white" height="1em" viewBox="0 0 448 512" data-v-0ca922ea${_scopeId2}><path d="M0 96C0 78.3 14.3 64 32 64H416c17.7 0 32 14.3 32 32s-14.3 32-32 32H32C14.3 128 0 113.7 0 96zM0 256c0-17.7 14.3-32 32-32H416c17.7 0 32 14.3 32 32s-14.3 32-32 32H32c-17.7 0-32-14.3-32-32zM448 416c0 17.7-14.3 32-32 32H32c-17.7 0-32-14.3-32-32s14.3-32 32-32H416c17.7 0 32 14.3 32 32z" data-v-0ca922ea${_scopeId2}></path></svg>`);
            } else {
              return [
                (openBlock(), createBlock("svg", {
                  xmlns: "http://www.w3.org/2000/svg",
                  fill: "white",
                  height: "1em",
                  viewBox: "0 0 448 512"
                }, [
                  createVNode("path", { d: "M0 96C0 78.3 14.3 64 32 64H416c17.7 0 32 14.3 32 32s-14.3 32-32 32H32C14.3 128 0 113.7 0 96zM0 256c0-17.7 14.3-32 32-32H416c17.7 0 32 14.3 32 32s-14.3 32-32 32H32c-17.7 0-32-14.3-32-32zM448 416c0 17.7-14.3 32-32 32H32c-17.7 0-32-14.3-32-32s14.3-32 32-32H416c17.7 0 32 14.3 32 32z" })
                ]))
              ];
            }
          }),
          _: 2
        }, _parent2, _scopeId));
      } else {
        return [
          createVNode(VBtn, mergeProps({
            class: "banner-navbar-dropdown-button",
            icon: "",
            size: "small"
          }, props), {
            default: withCtx(() => [
              (openBlock(), createBlock("svg", {
                xmlns: "http://www.w3.org/2000/svg",
                fill: "white",
                height: "1em",
                viewBox: "0 0 448 512"
              }, [
                createVNode("path", { d: "M0 96C0 78.3 14.3 64 32 64H416c17.7 0 32 14.3 32 32s-14.3 32-32 32H32C14.3 128 0 113.7 0 96zM0 256c0-17.7 14.3-32 32-32H416c17.7 0 32 14.3 32 32s-14.3 32-32 32H32c-17.7 0-32-14.3-32-32zM448 416c0 17.7-14.3 32-32 32H32c-17.7 0-32-14.3-32-32s14.3-32 32-32H416c17.7 0 32 14.3 32 32z" })
              ]))
            ]),
            _: 2
          }, 1040)
        ];
      }
    }),
    default: withCtx((_, _push2, _parent2, _scopeId) => {
      if (_push2) {
        _push2(ssrRenderComponent(VList, { theme: "dark" }, {
          default: withCtx((_2, _push3, _parent3, _scopeId2) => {
            if (_push3) {
              _push3(ssrRenderComponent(VListItem, {
                class: _ctx.selectedPage === 1 ? "banner-navbar-button-selected" : "banner-navbar-button",
                href: "/",
                key: 1
              }, {
                default: withCtx((_3, _push4, _parent4, _scopeId3) => {
                  if (_push4) {
                    _push4(ssrRenderComponent(VListItemTitle, null, {
                      default: withCtx((_4, _push5, _parent5, _scopeId4) => {
                        if (_push5) {
                          _push5(`Home`);
                        } else {
                          return [
                            createTextVNode("Home")
                          ];
                        }
                      }),
                      _: 1
                    }, _parent4, _scopeId3));
                  } else {
                    return [
                      createVNode(VListItemTitle, null, {
                        default: withCtx(() => [
                          createTextVNode("Home")
                        ]),
                        _: 1
                      })
                    ];
                  }
                }),
                _: 1
              }, _parent3, _scopeId2));
              _push3(ssrRenderComponent(VListItem, {
                class: _ctx.selectedPage === 2 ? "banner-navbar-button-selected" : "banner-navbar-button",
                href: "/content",
                key: 2
              }, {
                default: withCtx((_3, _push4, _parent4, _scopeId3) => {
                  if (_push4) {
                    _push4(ssrRenderComponent(VListItemTitle, null, {
                      default: withCtx((_4, _push5, _parent5, _scopeId4) => {
                        if (_push5) {
                          _push5(`Content`);
                        } else {
                          return [
                            createTextVNode("Content")
                          ];
                        }
                      }),
                      _: 1
                    }, _parent4, _scopeId3));
                  } else {
                    return [
                      createVNode(VListItemTitle, null, {
                        default: withCtx(() => [
                          createTextVNode("Content")
                        ]),
                        _: 1
                      })
                    ];
                  }
                }),
                _: 1
              }, _parent3, _scopeId2));
              _push3(ssrRenderComponent(VListItem, {
                class: _ctx.selectedPage === 3 ? "banner-navbar-button-selected" : "banner-navbar-button",
                href: "/links",
                key: 3
              }, {
                default: withCtx((_3, _push4, _parent4, _scopeId3) => {
                  if (_push4) {
                    _push4(ssrRenderComponent(VListItemTitle, null, {
                      default: withCtx((_4, _push5, _parent5, _scopeId4) => {
                        if (_push5) {
                          _push5(`Links`);
                        } else {
                          return [
                            createTextVNode("Links")
                          ];
                        }
                      }),
                      _: 1
                    }, _parent4, _scopeId3));
                  } else {
                    return [
                      createVNode(VListItemTitle, null, {
                        default: withCtx(() => [
                          createTextVNode("Links")
                        ]),
                        _: 1
                      })
                    ];
                  }
                }),
                _: 1
              }, _parent3, _scopeId2));
              _push3(ssrRenderComponent(VListItem, {
                class: _ctx.selectedPage === 4 ? "banner-navbar-button-selected" : "banner-navbar-button",
                href: "/contact",
                key: 4
              }, {
                default: withCtx((_3, _push4, _parent4, _scopeId3) => {
                  if (_push4) {
                    _push4(ssrRenderComponent(VListItemTitle, null, {
                      default: withCtx((_4, _push5, _parent5, _scopeId4) => {
                        if (_push5) {
                          _push5(`Contact`);
                        } else {
                          return [
                            createTextVNode("Contact")
                          ];
                        }
                      }),
                      _: 1
                    }, _parent4, _scopeId3));
                  } else {
                    return [
                      createVNode(VListItemTitle, null, {
                        default: withCtx(() => [
                          createTextVNode("Contact")
                        ]),
                        _: 1
                      })
                    ];
                  }
                }),
                _: 1
              }, _parent3, _scopeId2));
            } else {
              return [
                (openBlock(), createBlock(VListItem, {
                  class: _ctx.selectedPage === 1 ? "banner-navbar-button-selected" : "banner-navbar-button",
                  href: "/",
                  key: 1
                }, {
                  default: withCtx(() => [
                    createVNode(VListItemTitle, null, {
                      default: withCtx(() => [
                        createTextVNode("Home")
                      ]),
                      _: 1
                    })
                  ]),
                  _: 1
                }, 8, ["class"])),
                (openBlock(), createBlock(VListItem, {
                  class: _ctx.selectedPage === 2 ? "banner-navbar-button-selected" : "banner-navbar-button",
                  href: "/content",
                  key: 2
                }, {
                  default: withCtx(() => [
                    createVNode(VListItemTitle, null, {
                      default: withCtx(() => [
                        createTextVNode("Content")
                      ]),
                      _: 1
                    })
                  ]),
                  _: 1
                }, 8, ["class"])),
                (openBlock(), createBlock(VListItem, {
                  class: _ctx.selectedPage === 3 ? "banner-navbar-button-selected" : "banner-navbar-button",
                  href: "/links",
                  key: 3
                }, {
                  default: withCtx(() => [
                    createVNode(VListItemTitle, null, {
                      default: withCtx(() => [
                        createTextVNode("Links")
                      ]),
                      _: 1
                    })
                  ]),
                  _: 1
                }, 8, ["class"])),
                (openBlock(), createBlock(VListItem, {
                  class: _ctx.selectedPage === 4 ? "banner-navbar-button-selected" : "banner-navbar-button",
                  href: "/contact",
                  key: 4
                }, {
                  default: withCtx(() => [
                    createVNode(VListItemTitle, null, {
                      default: withCtx(() => [
                        createTextVNode("Contact")
                      ]),
                      _: 1
                    })
                  ]),
                  _: 1
                }, 8, ["class"]))
              ];
            }
          }),
          _: 1
        }, _parent2, _scopeId));
      } else {
        return [
          createVNode(VList, { theme: "dark" }, {
            default: withCtx(() => [
              (openBlock(), createBlock(VListItem, {
                class: _ctx.selectedPage === 1 ? "banner-navbar-button-selected" : "banner-navbar-button",
                href: "/",
                key: 1
              }, {
                default: withCtx(() => [
                  createVNode(VListItemTitle, null, {
                    default: withCtx(() => [
                      createTextVNode("Home")
                    ]),
                    _: 1
                  })
                ]),
                _: 1
              }, 8, ["class"])),
              (openBlock(), createBlock(VListItem, {
                class: _ctx.selectedPage === 2 ? "banner-navbar-button-selected" : "banner-navbar-button",
                href: "/content",
                key: 2
              }, {
                default: withCtx(() => [
                  createVNode(VListItemTitle, null, {
                    default: withCtx(() => [
                      createTextVNode("Content")
                    ]),
                    _: 1
                  })
                ]),
                _: 1
              }, 8, ["class"])),
              (openBlock(), createBlock(VListItem, {
                class: _ctx.selectedPage === 3 ? "banner-navbar-button-selected" : "banner-navbar-button",
                href: "/links",
                key: 3
              }, {
                default: withCtx(() => [
                  createVNode(VListItemTitle, null, {
                    default: withCtx(() => [
                      createTextVNode("Links")
                    ]),
                    _: 1
                  })
                ]),
                _: 1
              }, 8, ["class"])),
              (openBlock(), createBlock(VListItem, {
                class: _ctx.selectedPage === 4 ? "banner-navbar-button-selected" : "banner-navbar-button",
                href: "/contact",
                key: 4
              }, {
                default: withCtx(() => [
                  createVNode(VListItemTitle, null, {
                    default: withCtx(() => [
                      createTextVNode("Contact")
                    ]),
                    _: 1
                  })
                ]),
                _: 1
              }, 8, ["class"]))
            ]),
            _: 1
          })
        ];
      }
    }),
    _: 1
  }, _parent));
  _push(`</div><div class="body-content-container" data-v-0ca922ea><div class="body-content-object" data-v-0ca922ea><h1 style="${ssrRenderStyle({ "margin": "0" })}" data-v-0ca922ea>Error ${ssrInterpolate(_ctx.getErrorType)}</h1><div class="body-content-object-divider" data-v-0ca922ea></div><h2 style="${ssrRenderStyle({ "margin": "0" })}" data-v-0ca922ea>${ssrInterpolate(_ctx.getErrorMessage)}</h2><img${ssrRenderAttr("src", _imports_0)} alt="Error" style="${ssrRenderStyle({ "height": "150px" })}" data-v-0ca922ea></div></div></div>`);
}
const _sfc_setup = _sfc_main.setup;
_sfc_main.setup = (props, ctx) => {
  const ssrContext = useSSRContext();
  (ssrContext.modules || (ssrContext.modules = /* @__PURE__ */ new Set())).add("layouts/error.vue");
  return _sfc_setup ? _sfc_setup(props, ctx) : void 0;
};
const error = /* @__PURE__ */ _export_sfc(_sfc_main, [["ssrRender", _sfc_ssrRender], ["__scopeId", "data-v-0ca922ea"]]);

export { error as default };
//# sourceMappingURL=error-4a2b7aa8.mjs.map
